| .. | |||||
| check_start.sh | |||||
| configure.sh | |||||
| efs_selinux_uninstall_check.sh | |||||
| eset_efs_sysctl.conf | |||||
| eset_efs_sysctl.sh | |||||
| eset_efs_udev.sh | |||||
| perform_app_update.sh | |||||
| register_service.sh | |||||
| remove_certificates.sh | |||||
| sign_modules.sh | |||||
| unconfigure.sh | |||||
| unregister_service.sh |
| Server IP : 103.169.32.36 / Your IP : 216.73.217.13 Web Server : Apache System : Linux web.dpmptsp 3.10.0-1160.119.1.el7.x86_64 #1 SMP Tue Jun 4 14:43:51 UTC 2024 x86_64 User : apache ( 48) PHP Version : 5.6.40 Disable Function : NONE MySQL : ON | cURL : ON | WGET : ON | Perl : ON | Python : ON | Sudo : ON | Pkexec : ON Directory : /opt/eset/efs/lib/install_scripts/ |
Upload File : |
#!/bin/sh
if [ $# -lt 1 ]; then
echo "Missing parameter" 1>&2
exit 2
fi
SRC_CONFIG_PATH="/opt/eset/efs/lib/install_scripts/eset_efs_sysctl.conf"
CONFIG_FILE="eset_efs_sysctl.conf"
PRIORITY="30"
SYSCTL_CONFD_DIR="/etc/sysctl.d"
SYSCTL_ARCHIVE_PATH="/var/opt/eset/efs/installer/sysctl.conf"
DEST_CONFIG="$SYSCTL_CONFD_DIR/$PRIORITY-$CONFIG_FILE"
add_conf_file() {
if [ ! -r "$SRC_CONFIG_PATH" ] ; then
echo "Error reading source config file \"$SRC_CONFIG_PATH\"" 1>&2
exit 1
fi
echo "Copying $CONFIG_FILE to $DEST_CONFIG"
if ! cp "$SRC_CONFIG_PATH" "$DEST_CONFIG" ; then
echo "Error copying config file" 1>&2
exit 1
fi
echo "Archiving previous sysctl state"
sysctl -e net.ipv4.conf.default.route_localnet net.ipv4.ip_forward net.ipv6.conf.all.forwarding > $SYSCTL_ARCHIVE_PATH
echo "Reloading sysctl configuration"
sysctl --quiet --system > /dev/null 2>&1
}
remove_conf_file() {
echo "Removing $DEST_CONFIG"
if ! rm -f "$DEST_CONFIG" ; then
echo "Error removing config file \"$DEST_CONFIG\"" 1>&2
exit 1
fi
echo "Restoring archived sysctl state"
sysctl --quiet -e --load=$SYSCTL_ARCHIVE_PATH
echo "Reloading sysctl configuration"
sysctl --quiet --system > /dev/null 2>&1
}
if [ "$1" = "enable" ]; then
add_conf_file
elif [ "$1" = "disable" ]; then
remove_conf_file
else
echo "Invalid option: \"$1\"" 1>&2
exit 2
fi
| .. | |||||
| check_start.sh | |||||
| configure.sh | |||||
| efs_selinux_uninstall_check.sh | |||||
| eset_efs_sysctl.conf | |||||
| eset_efs_sysctl.sh | |||||
| eset_efs_udev.sh | |||||
| perform_app_update.sh | |||||
| register_service.sh | |||||
| remove_certificates.sh | |||||
| sign_modules.sh | |||||
| unconfigure.sh | |||||
| unregister_service.sh |